Crypt::Stream::Sober128(3pm)

NAME
Crypt::Stream::Sober128 - Stream cipher Sober128

SYNOPSIS
   use Crypt::Stream::Sober128;

   # encrypt
   $key = "1234567890123456";
   $iv  = "123456789012";
   $stream = Crypt::Stream::Sober128->new($key, $iv);
   $ct = $stream->crypt("plain message");

   # decrypt
   $key = "1234567890123456";
   $iv  = "123456789012";
   $stream = Crypt::Stream::Sober128->new($key, $iv);
   $pt = $stream->crypt($ct);

DESCRIPTION
Provides an interface to the Sober128 stream cipher.

METHODS

  new
 $stream = Crypt::Stream::Sober128->new($key, $iv);
 # $key .. keylen must be multiple of 4 bytes
 # $iv  .. ivlen must be multiple of 4 bytes

  crypt
 $ciphertext = $stream->crypt($plaintext);
 #or
 $plaintext = $stream->crypt($ciphertext);

  keystream
 $random_key = $stream->keystream($length);

  clone
 $stream->clone();

SEE ALSO

•   Crypt::Stream::RC4, Crypt::Stream::ChaCha, Crypt::Stream::Salsa20, Crypt::Stream::Sosemanuk

•   <https://en.wikipedia.org/wiki/SOBER-128>